
function IAI::StatDump() {
	if ($IAI::Stats != 1) return;
	%n = $IAI::VehN;
	for (%i=0;%i<%n;%i++)
		%vehi[%i] = %i + 1;
	// sort by kills
	for (%i=0;%i<%n-1;%i++)
		for (%k=%i;%k<%n;%k++)
			if ($IAI::VehKill[%k] > $IAI::VehKill[%i]) {
				%tmp = %vehi[%k];
				%vehi[%k] = %vehi[%i];
				%vehi[%i] = %tmp;

				%tmp = $IAI::VehDeath[%k];
				$IAI::VehDeath[%k] = $IAI::VehDeath[%i];
				$IAI::VehDeath[%i] = %tmp;

				%tmp = $IAI::VehKill[%k];
				$IAI::VehKill[%k] = $IAI::VehKill[%i];
				$IAI::VehKill[%i] = %tmp;

				%tmp = $IAI::VehSpawn[%k];
				$IAI::VehSpawn[%k] = $IAI::VehSpawn[%i];
				$IAI::VehSpawn[%i] = %tmp;
			}
	if ($IAI::VehSpawn[0] == 0) {
		IAI::Msg("No vehicle spawned, no stats.");
		return;
	}
	%msg = "Stats - Kills Deaths Spawns Config";
	for (%i=0;%i<%n;%i++) {
		%vix =%vehi[%i];
		%msg = %msg@"\n"@
			$IAI::VehKill[%i]@ " "@
			$IAI::VehDeath[%i]@" "@
			$IAI::VehSpawn[%i]@" "@
			$IAI::Veh[%vix];
	}
	missionLog(%msg);
}

function IAI::StatClear() {
	if ($IAI::Stats != 1) return;
	for (%vix=0;%vix<$IAI::VehN;%vix++) {
		$IAI::VehDeath[%vix] = 0;
		$IAI::VehKill[%vix] = 0;
		$IAI::VehSpawn[%vix] = 0;
	}
}

function IAI::StatDeath(%vid) {
	if ($IAI::Stats != 1) return;
	%vix = dataRetrieve(%vid,VIX) - 1;
	if (%vix == -1) return;
	$IAI::VehDeath[%vix]++;
}

function IAI::StatKill(%vid) {
	if ($IAI::Stats != 1) return;
	%vix = dataRetrieve(%vid,VIX) - 1;
say(0,0,"StatKill vix="@%vix);
	if (%vix == -1) return;
	$IAI::VehKill[%vix]++;
}

function IAI::StatSpawn(%vid,%vix) {
	if ($IAI::Stats != 1) return;
	dataStore(%vid,VIX,%vix);
	$IAI::VehSpawn[%vix]++;
}
